﻿using System.Xml.Linq;
using System.Xml.Serialization;
using SpCop.Core;

namespace SpCop.Model
{
    public class Element : IVisitable<Element>
    {
        public ElementType ElementType;

        [XmlIgnore] public Feature Feature;

        public XElement Xml;

        #region IVisitable<Element> Members

        public void Accept(IVisitor<Element> visitor)
        {
            visitor.Visit(this);
        }

        #endregion
    }
}