﻿using System.Reflection;
using System.Xml.Serialization;

namespace SpCop.Model
{
    [XmlRoot("Rules", IsNullable = false)]
    public class RuleSet
    {
        [XmlIgnore] public Assembly Assembly;
        [XmlAttribute] public string FriendlyName;
        [XmlElementAttribute("Rule")] public RuleDefinition[] Rules;
    }
}